SUBROUTINE FLOW290
!use consts
use global
implicit none  
   
integer :: i,j
SAVE

!-----TAIRH: air temperature on top of storage
!-----TAIR: air temperature elsewhere
      DO 5 I=2,IRR
    5 T(I,1)=TAIRH
!-----TAIRH: air temperature on top of storage
      DO 6 I=IRR1,IMAX
    6 T(I,1)=TAIR
!-----TAIR: air temperature elsewhere

      DO 550 I=2,IMAX
      DO 550 J=2,JMAX1
      FZ(I,J)=GFZ(I,J)*(T(I,J-1)-T(I,J))
  550 CONTINUE
      DO 560 J=2,JMAX
      DO 560 I=2,IMAX1
      FR(I,J)=GFR(I,J)*(T(I-1,J)-T(I,J))
  560 CONTINUE

RETURN
END subroutine flow290